Description

Supportanfrage

Welche RPC Interfaces sind hiermit genau gemeint?

Was kann ich mit der Support Toolbox per RPC denn genau in ADTF2 steuern?

Mit der FEP Toolbox geht sehr viel jedoch wird das ja als Feature der Support Toolbox beschrieben.

Lösung

Das wird explizit erwähnt, da mittels ADTF 3 RPC ein ADTF 2 Instanz via ADTF 3 (GUI) Control bedient werden kann, der ADTF 3

konforme adtf2 Wrapper der ADTF 3 Support TB mapped die Signale an ISystem, IClock und IRecorder weiter.

In erster Linie bedeutet das Starten/Stoppen einer ADTF 2 Instanz mittels ADTF 3 (GUI) Control

Einschränkungen:

1) Aktuell gibt es mit Init/Deinit ein Problem, das wird in ADTF 3 Support TB 3.0.1 gelöst (ASUPTB-45)

2) Es gibt keine IPlayer Schnittstelle (ASUPTB-43), Start/Stop funktioniert im Moment nur indirekt über das Ändern des Runlevels.

Dadurch ist auch kein Player kontrollierbar in ADTF 3 GUI Control, diese Anforderung wird derzeit noch hinterfragt

History

#1 - 2018-12-03 10:46 - hidden

- Status changed from New to In Progress

- Topic set to StreamingLib::Common

- Customer set to VW

#2 - 2018-12-03 14:56 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers set to https://www.cip.audi.de/jira/projects/ASUPTB/issues/ASUPTB-43;

https://www.cip.audi.de/jira/projects/ASUPTB/issues/ASUPTB-45

Hallo Timo,

das wird explizit erwähnt, da mittels ADTF 3 RPC ein ADTF 2 Instanz via ADTF 3 (GUI) Control bedient werden kann, der ADTF 3 konforme adtf2

Wrapper der ADTF 3 Support TB mapped die Signale an ISystem, IClock und IRecorder weiter.

In erster Linie bedeutet das Starten/Stoppen einer ADTF 2 Instanz mittels ADTF 3 (GUI) Control

Einschränkungen:

1) Aktuell gibt es mit Init/Deinit ein Problem, das wird in ADTF 3 Support TB 3.0.1 gelöst (ASUPTB-45)

2) Es gibt keine IPlayer Schnittstelle (ASUPTB-43), Start/Stop funktioniert im Moment nur indirekt über das Ändern des Runlevels. Dadurch ist auch

kein Player kontrollierbar in ADTF 3 GUI Control, diese Anforderung wird derzeit noch hinterfragt

#3 - 2018-12-10 10:49 - hidden
- Project changed from 20 to Public Support

- Subject changed from ADTF3 Support Toobox 3.0.0 - RPC interfaces for controling ADTF2 instances. to RPC interfaces for controling ADTF2

instances

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Kein weiteres Feedback, Thema aus Supportsicht erledigt.

Ticket wird geschlossen.

#4 - 2019-01-18 10:24 - hidden

- Status changed from To Be Closed to Closed
